-- Create hidden frame to store chat buttons
local tframe = CreateFrame("FRAME")
tframe:Hide()

-- Hide chat menu buttons & Texture
QuickJoinToastButton:SetParent(tframe)
ChatFrameMenuButton:SetParent(tframe)
ChatFrameChannelButton:SetParent(tframe)
ChatFrameToggleVoiceDeafenButton:SetParent(tframe)
ChatFrameToggleVoiceMuteButton:SetParent(tframe)
ChatFrame1ButtonFrame:SetParent(tframe)

-- Process normal and existing chat frames on startup
for i = 1, 50 do
if _G["ChatFrame" .. i] then
   _G["ChatFrame" .. i]:SetClampRectInsets(-6, 0, 0, -35);
end
end

-- Process new chat frames and combat log
hooksecurefunc("FloatingChatFrame_UpdateBackgroundAnchors", function(self)
self:SetClampRectInsets(-6, 0, 0, -35);
end)

-- Process temporary chat frames
hooksecurefunc("FCF_OpenTemporaryWindow", function()
local cf = FCF_GetCurrentChatFrame():GetName() or nil
if cf then
_G[cf]:SetClampRectInsets(-6, 0, 0, -35);
end
end)